PrimitiveSet File Reference
`#include <osg/GL>`
`#include <osg/Object>`
`#include <osg/buffered_value>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Vec2d>`
`#include <osg/Vec3d>`
`#include <osg/Vec4d>`
`#include <osg/MixinVector>`
`#include <osg/BufferObject>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | osg::PrimitiveFunctor
class | osg::PrimitiveIndexFunctor
class | osg::PrimitiveSet
class | osg::DrawArrays
class | osg::DrawArrayLengths
class | osg::DrawElements
class | osg::DrawElementsUByte
class | osg::DrawElementsUShort
class | osg::DrawElementsUInt
class | osg::MultiDrawArrays

## Namespaces

namespace | osg

## Macros

#define | OSG_PRIMITIVESET 1
#define | OSG_HAS_MULTIDRAWARRAYS

## Typedefs

typedef MixinVector< GLsizei > | osg::VectorGLsizei
typedef MixinVector< GLubyte > | osg::VectorGLubyte
typedef MixinVector< GLushort > | osg::VectorGLushort
typedef MixinVector< GLuint > | osg::VectorGLuint

## Macro Definition Documentation

## OSG_HAS_MULTIDRAWARRAYS

#define OSG_HAS_MULTIDRAWARRAYS

## OSG_PRIMITIVESET

#define OSG_PRIMITIVESET 1